Browse Source

new upstream release

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@10270 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 6 years ago
parent
commit
cf451d55e1
1 changed files with 12 additions and 7 deletions
  1. 12 7
      t/texworks/texworks-vl.spec

+ 12 - 7
t/texworks/texworks-vl.spec

@@ -1,24 +1,25 @@
-%global gitcommit 905382e
+#% global gitcommit 905382e
 
 ## Summary/Description adopted from Debian with modification
 
 Name:           texworks
-Version:        0.5
-Release:        7%{?gitcommit:.git%gitcommit}%{?_dist_release}
+Version:        0.6.1
+Release:        1%{?gitcommit:.git%gitcommit}%{?_dist_release}
 Summary:        An environment for authoring TeX (LaTeX, ConTeXt, etc) documents
 Summary(ja):    TeX ドキュメント制作のための総合環境
 
 Group:          Applications/Editors
 License:        GPLv2+
 URL:            http://tug.org/texworks/
-Source0:        %{name}-%{version}%{?gitcommit:.git%gitcommit}.tar.%{?gitcommit:xz}%{!?gitcommit:gz}
+#Source0:        %{name}-%{version}%{?gitcommit:.git%gitcommit}.tar.%{?gitcommit:xz}%{!?gitcommit:gz}
+Source0:        texworks-release-%{version}.tar.gz
 
 # Desktop file adopted from Debian with modification
 Source1:        %{name}.desktop
 
 ## vine
-Patch101:       texworks-0.4.6-addDefaultBinPaths.patch
 Patch100:       texworks-0.5-ptex2pdf.patch
+#Patch101:       texworks-0.4.6-addDefaultBinPaths.patch
 
 BuildRequires:  cmake >= 2.8.6
 BuildRequires:  lua-devel
@@ -52,10 +53,11 @@ TeXworks を利用するためには、TeX 環境が必要です。
 
 
 %prep
-%setup -qn %{name}-%{version}%{?gitcommit:.git%gitcommit}
+#% setup -qn %{name}-%{version}%{?gitcommit:.git%gitcommit}
+%setup -qn %{name}-release-%{version}
 
 %patch100 -p1 -b .vine
-%patch101 -p1 -b .vine
+#% patch101 -p1 -b .vine
 
 %build
 %cmake . 
@@ -95,6 +97,9 @@ update-desktop-database &> /dev/null || :
 %{_mandir}/man1/texworks.1.gz
 
 %changelog
+* Tue May 10 2016 Munehiro Yamamoto <munepi@vinelinux.org> 0.6.1-1
+- new upstream release
+
 * Mon May 09 2016 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.5-7.git905382e
 - rebuild with poppler-0.43.0